c  *********************************************************
      subroutine CHECK_KEY(kstat)
!
!  Machine-dependent keyboard check
!
      use MSFLIB
!
      kstat = PEEKCHARQQ()                    ! MS Powerstation 4.0
!
      return
      end
!  *********************************************************
      subroutine FORMFEED
!
!  Write out ASCII formfeed - carriage routine codes
!
      character ff,cr
      data ff,cr/12,13/
!
      write(2,'(a)') ff,cr
!      write(2,'("1")')
!      write(2,100)
!100   format(1h1)
!
      return
      end
c  *********************************************************
      subroutine ICOOLDATE(iyr,imo,iday)
c
c  Put machine-dependent date here
c
      use MSFLIB
!
      integer*2 iyr,imo,iday
c
      call GETDAT(iyr,imo,iday)    ! MS FORTRAN 
c
      return
      end
c  *********************************************************
      subroutine IN_KEY(key)
!
!  Machine-dependent keyboard read
!
      use MSFLIB
!
      character key*1
!
      key = GETCHARQQ()                    ! MS Powerstation 4.0
!
      return
      end
c  *********************************************************
      subroutine SOUND(ifreq,idur)
!
!  Machine-dependent tone
!
      use MSFLIB
!
      call BEEPQQ(ifreq,idur)                    ! MS Powerstation 4.0
!
      return
      end
c  *********************************************************
      subroutine ICOOLTIME(ihr,imin,isec)
c
c  Put machine-dependent time here
c
      use MSFLIB
!
      integer*2 ihr,imin,isec,i100
c
      call GETTIM(ihr,imin,isec,i100)    ! MS-FORTRAN 
c
      return
      end
